import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { user } from '../user';

@Component({
  selector: 'app-visitingcard',
  standalone: true,
  imports: [CommonModule],
  templateUrl: './visitingcard.component.html',
  styleUrl: './visitingcard.component.css'
})
export class VisitingcardComponent {

  /*
   Dept 1==> HR
   Dept 2==> Technical
   Dept 3==> Accounts
  */

users:any[]=[];

@Input('userObj') userObj:user=new user;

constructor(){

 
}

ngOnInit(){

  this.users=[
    {
        //name:"Vijay Kumar",
        name:this.userObj.name,
        title:this.userObj.title,
        salary:this.userObj.salary,
        department:this.userObj.department,
        address:this.userObj.address,
        phones:this.userObj.phone

    },
    {
      name:"Ashok Kumar",
      title:"Software Lead",
      salary:"200000",
      department:"1",
      address:[
                "Ameerpet",
                "Hyderabad",
                "500037"
              ],
      phones:[
                '333-3333-3333',
                '444-4444-4444'
            ]

    }
  ]
}

}
